Description

Rails 3.2.6 includes several security fixes.

Associated revisions
Revision 9830 - 2012-06-14 12:33 - Jean-Philippe Lang

Upgrade to Rails 3.2.6 (#11162).

History
#1 - 2012-06-14 16:44 - Alex Shulgin

Ugh, why not specify in Gemfile:

gem 'rails', '~> 3.2.x'

Do we really have to release a new Redmine version per every security update in Rails?  What about other gems we depend on (or their
dependencies?)

Redmine doesn't include Gemfile.lock in the repository, so you can't guarantee that the end users use exactly the same versions of every gem, so why
restrict the version of rails used?

#2 - 2012-06-14 17:10 - Etienne Massip

Alex Shulgin wrote:

Do we really have to release a new Redmine version per every security update in Rails?  What about other gems we depend on (or their
dependencies?)

Yes. Upgrade to 3.2.5 from 3.2.3, for example, broke some tests and required some code adjustments.

#3 - 2012-06-17 11:02 - Jean-Philippe Lang
- Status changed from New to Closed
